SystemOrganization addCategory: #MyModel!

Object subclass: #ModelRoot
	instanceVariableNames: 'identifier title author created modified editable'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

ModelRoot subclass: #DacimatModel
	instanceVariableNames: 'poznamky poznamkyInterni'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

DacimatModel subclass: #AnalyzaRizika
	instanceVariableNames: 'delkaNasutpu dobaZaplaveni materialy klimatickePodminky rocniObdobi typReakce poruchy popisReakce prevenceDlouhodoba prevenceAkutni sanaceOkamzitaPopis sanaceNaslednaPopis oznaceni list'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

AnalyzaRizika subclass: #AnalyzaMovity
	instanceVariableNames: 'typPredmetu stav indikaceRizika'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

!AnalyzaMovity class methodsFor: 'as yet unclassified' stamp: 'zk 5/6/2013 01:32'!
asString
	^ 'Analyza moviteho majetku'! !

!AnalyzaMovity class methodsFor: 'descriptors' stamp: 'zk 5/4/2013 15:58'!
descriptionIndikaceRizika
^ MASingleOptionDescription new
accessor: #indikaceRizika;
label: 'Indikace rizika';
options: #('zelena' 'oranzova' 'cervena');
yourself ! !

!AnalyzaMovity class methodsFor: 'descriptors' stamp: 'zk 5/6/2013 02:12'!
descriptionPoruchy 

| items |
	items := OrderedCollection new.
	((MagmaDB root rootContainer at: 'ciselniky')at: Porucha)
	do: [:item |
		items add: item identifier -> item.
	].

^ MAMultipleOptionDescription new
accessor: #poruchy;
label: 'Poruchy';
options: items;
yourself ! !

!AnalyzaMovity class methodsFor: 'descriptors' stamp: 'zk 5/6/2013 02:05'!
descriptionTypPredmetu 

| items |
	items := OrderedCollection new.
	((MagmaDB root rootContainer at: 'ciselniky')at: Predmet)
	do: [:item |
		items add: item identifier -> item.
	].

^ MASingleOptionDescription new
accessor: #typPredmetu;
label: 'Typ predmetu';
options: items;
yourself ! !

!AnalyzaMovity class methodsFor: 'as yet unclassified' stamp: 'zk 5/4/2013 14:41'!
listDisplay 
	^OrderedCollection new
		add: 'Materialy' -> #materialy;
		add: 'Poruchy' -> #poruchy;
		add: 'Typ predmetu' -> #typPredmetu;
		add: 'Vytvoreno' -> #created;
		add: 'Editovano' -> #modified;
		yourself.
	! !

!AnalyzaMovity methodsFor: 'accessing' stamp: 'zk 4/17/2013 23:08'!
editable
	^editable! !

!AnalyzaMovity methodsFor: 'accessing' stamp: 'zk 4/17/2013 23:09'!
editable: aBoolean
	editable := aBoolean! !

!AnalyzaMovity methodsFor: 'accessing' stamp: 'zk 4/14/2013 18:13'!
identifier 
	^oznaceni! !

!AnalyzaMovity methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:31'!
indikaceRizika
	^ indikaceRizika! !

!AnalyzaMovity methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:31'!
indikaceRizika: aString
	indikaceRizika := aString
! !

!AnalyzaMovity methodsFor: 'initialization' stamp: 'zk 5/4/2013 14:51'!
initialize 
	super initialize .
	editable := true.

! !

!AnalyzaMovity methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:30'!
stav
	^ stav! !

!AnalyzaMovity methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:30'!
stav: aStav
	stav := aStav
! !

!AnalyzaMovity methodsFor: 'accessing' stamp: 'zk 4/13/2013 01:28'!
typPredmetu
	^ typPredmetu! !

!AnalyzaMovity methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:30'!
typPredmetu: aPredmet
	typPredmetu := aPredmet
! !

AnalyzaRizika subclass: #AnalyzaNemovity
	instanceVariableNames: 'zakladovaPuda konstrukce odolnost'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

!AnalyzaRizika class methodsFor: 'descriptors' stamp: 'zk 4/13/2013 01:47'!
descriptionOznaceni
^ MAStringDescription new
accessor: #oznaceni;
label: 'Oznaceni';
beRequired;
yourself ! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:11'!
delkaNasutpu
	^ delkaNasutpu! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:11'!
delkaNasutpu: aDelkaNastupu
	delkaNasutpu := aDelkaNastupu

! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:12'!
dobaZaplaveni
	^ dobaZaplaveni! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:12'!
dobaZaplaveni: aDobaZaplaveni
	dobaZaplaveni := aDobaZaplaveni
! !

!AnalyzaRizika methodsFor: 'initialization' stamp: 'zk 5/6/2013 02:09'!
initialize 
	super initialize.
	poruchy := OrderedCollection new! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:14'!
klimatickePodminky
	^ klimatickePodminky! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:14'!
klimatickePodminky: aKlimatickePodminky
	klimatickePodminky := aKlimatickePodminky
! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 4/13/2013 01:19'!
list
	^list! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:15'!
materialy
	^ materialy! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:15'!
materialy: aMaterial
	materialy := aMaterial
! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 4/13/2013 01:16'!
oznaceni
	^oznaceni! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 4/13/2013 01:17'!
oznaceni: aString
	oznaceni := aString! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:16'!
popisReakce
	^ popisReakce! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:16'!
popisReakce: aString
	popisReakce := aString
! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:16'!
poruchy
	^ poruchy! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 4/13/2013 01:30'!
poruchy: aPorucha
	poruchy add: aPorucha
! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:22'!
prevenceAkutni
	^ prevenceAkutni! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:22'!
prevenceAkutni: aString
	prevenceAkutni := aString
! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:22'!
prevenceDlouhodoba
	^ prevenceDlouhodoba! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:22'!
prevenceDlouhodoba: aString
	prevenceDlouhodoba := aString
! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:19'!
rocniObdobi
	^ rocniObdobi! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:19'!
rocniObdobi: aRocniObdobi
	rocniObdobi := aRocniObdobi
! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:23'!
sanaceNaslednaPopis
	^ sanaceNaslednaPopis! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:23'!
sanaceNaslednaPopis: aString
	sanaceNaslednaPopis := aString
! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:24'!
sanaceOkamzitaPopis
	^ sanaceOkamzitaPopis! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:24'!
sanaceOkamzitaPopis: aString
	sanaceOkamzitaPopis := aString
! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:21'!
typReakce
	^ typReakce! !

!AnalyzaRizika methodsFor: 'accessing' stamp: 'zk 3/31/2013 01:21'!
typReakce: aReakce
	typReakce := aReakce
! !

!DacimatModel class methodsFor: 'descriptors' stamp: 'zk 5/4/2013 01:44'!
descriptionPoznamky
^ MAMemoDescription new
accessor: #poznamky;
label: 'Poznamky';
priority: 50;
yourself ! !

!DacimatModel class methodsFor: 'descriptors' stamp: 'zk 5/1/2013 16:00'!
descriptionPoznamkyInterni
^ MAMemoDescription new
accessor: #poznamkyInterni;
label: 'Interni poznamky';
priority: 51;
yourself ! !

!DacimatModel methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:31'!
editable
	^editable! !

!DacimatModel methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:30'!
editable: aBoolean
	editable := aBoolean ! !

!DacimatModel methodsFor: 'as yet unclassified' stamp: 'zk 4/12/2013 16:59'!
initialize 
	super initialize.! !

!DacimatModel methodsFor: 'accessing' stamp: 'zk 3/30/2013 22:34'!
poznamky
	^poznamky! !

!DacimatModel methodsFor: 'accessing' stamp: 'zk 3/30/2013 22:35'!
poznamky: aString
	poznamky := aString! !

!DacimatModel methodsFor: 'accessing' stamp: 'zk 3/30/2013 22:35'!
poznamkyInterni
	^poznamkyInterni! !

!DacimatModel methodsFor: 'accessing' stamp: 'zk 3/30/2013 22:36'!
poznamkyInterni: aString
	poznamkyInterni := aString! !

DacimatModel subclass: #DelkaNastupu
	instanceVariableNames: 'stupenDelkyNastupu poradi'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

!DelkaNastupu class methodsFor: 'as yet unclassified' stamp: 'zk 5/5/2013 22:09'!
asString 
	^'Delka nastupu'! !

!DelkaNastupu class methodsFor: 'descriptors' stamp: 'zk 3/27/2013 02:17'!
descriptionPoradi
^ MANumberDescription new
accessor: #poradi;
label: 'Poradi';
beRequired;
bePositive;
yourself! !

!DelkaNastupu class methodsFor: 'descriptors' stamp: 'zk 3/27/2013 02:19'!
descriptionStupenDelkyNastupu
^ MAStringDescription new
accessor: #stupenDelkyNastupu;
label: 'Stupen delky nastupu';
beRequired;
yourself ! !

!DelkaNastupu class methodsFor: 'as yet unclassified' stamp: 'zk 5/4/2013 02:00'!
listDisplay 
	^OrderedCollection new
		add: 'Poznamky' -> #poznamky;
		add: 'Interni poznamky' -> #poznamkyInterni;
		add: 'Zalozil' -> #author;
		add: 'Vytvoreno' -> #created;
		add: 'Editovano' -> #modified;
		yourself.! !

!DelkaNastupu methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:58'!
identifier 
	^ (poradi asString, ' - ', stupenDelkyNastupu asString)! !

!DelkaNastupu methodsFor: 'initialization' stamp: 'zk 5/4/2013 01:27'!
initialize 
	super initialize.
	self editable: true.! !

!DelkaNastupu methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:33'!
poradi 
	^poradi! !

!DelkaNastupu methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:34'!
poradi: aNumber
	poradi := aNumber! !

!DelkaNastupu methodsFor: 'accessing' stamp: 'zk 3/27/2013 02:18'!
stupenDelkyNastupu
	^stupenDelkyNastupu! !

!DelkaNastupu methodsFor: 'accessing' stamp: 'zk 3/27/2013 02:20'!
stupenDelkyNastupu: aString
	stupenDelkyNastupu := aString! !

DacimatModel subclass: #KlimatickePodminky
	instanceVariableNames: 'typKlimatickePodminky'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

!KlimatickePodminky class methodsFor: 'view' stamp: 'zk 5/5/2013 22:08'!
asString 
	^'Klimaticke podminky'! !

!KlimatickePodminky class methodsFor: 'descriptors' stamp: 'zk 3/27/2013 01:05'!
descriptionTypKlimatickePodminky
^ MAStringDescription new
accessor: #typKlimatickePodminky;
label: 'Typ klimaticke podminky';
beRequired;
yourself ! !

!KlimatickePodminky class methodsFor: 'view' stamp: 'zk 5/4/2013 02:00'!
listDisplay 
	^OrderedCollection new
		add: 'Poznamky' -> #poznamky;
		add: 'Interni poznamky' -> #poznamkyInterni;
		add: 'Zalozil' -> #author;
		add: 'Vytvoreno' -> #created;
		add: 'Editovano' -> #modified;
		yourself.! !

!KlimatickePodminky methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:58'!
identifier 
	^typKlimatickePodminky! !

!KlimatickePodminky methodsFor: 'initialization' stamp: 'zk 5/4/2013 01:28'!
initialize 
	super initialize.
	self editable: true.! !

!KlimatickePodminky methodsFor: 'accessing' stamp: 'zk 3/27/2013 01:03'!
typKlimatickePodminky
	^typKlimatickePodminky! !

!KlimatickePodminky methodsFor: 'accessing' stamp: 'zk 3/27/2013 01:04'!
typKlimatickePodminky: aString
	typKlimatickePodminky := aString! !

DacimatModel subclass: #LhutaProvedeni
	instanceVariableNames: 'stupenLhutyProvedeni poradi'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

!LhutaProvedeni class methodsFor: 'view' stamp: 'zk 5/5/2013 22:08'!
asString 
	^'Lhuta provedeni'! !

!LhutaProvedeni class methodsFor: 'descriptors' stamp: 'zk 3/27/2013 01:58'!
descriptionPoradi
^ MANumberDescription new
accessor: #poradi;
label: 'Poradi';
beRequired;
bePositive;
yourself! !

!LhutaProvedeni class methodsFor: 'descriptors' stamp: 'zk 3/27/2013 02:01'!
descriptionStupenLhutyProvedeni
^ MAStringDescription new
accessor: #stupenLhutyProvedeni;
label: 'Stupen lhuty provedeni';
beRequired;
yourself ! !

!LhutaProvedeni class methodsFor: 'view' stamp: 'zk 5/4/2013 02:00'!
listDisplay 
	^OrderedCollection new
		add: 'Poznamky' -> #poznamky;
		add: 'Interni poznamky' -> #poznamkyInterni;
		add: 'Zalozil' -> #author;
		add: 'Vytvoreno' -> #created;
		add: 'Editovano' -> #modified;
		yourself.! !

!LhutaProvedeni methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:57'!
identifier 
	^ (poradi asString, ' - ', stupenLhutyProvedeni asString)! !

!LhutaProvedeni methodsFor: 'initialization' stamp: 'zk 5/4/2013 01:28'!
initialize 
	super initialize.
	self editable: true.! !

!LhutaProvedeni methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:34'!
poradi
	^poradi! !

!LhutaProvedeni methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:34'!
poradi: aNumber
	poradi := aNumber! !

!LhutaProvedeni methodsFor: 'accessing' stamp: 'zk 3/27/2013 01:53'!
stupenLhutyProvedeni
	^stupenLhutyProvedeni! !

!LhutaProvedeni methodsFor: 'accessing' stamp: 'zk 3/27/2013 01:54'!
stupenLhutyProvedeni: aString
	stupenLhutyProvedeni := aString! !

DacimatModel subclass: #Porucha
	instanceVariableNames: 'typPoruchy'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

!Porucha class methodsFor: 'descriptors' stamp: 'zk 5/1/2013 16:02'!
descriptionTypPoruchy
^ MAStringDescription new
accessor: #typPoruchy;
label: 'Typ poruchy';
priority: 10;
beRequired;
yourself ! !

!Porucha class methodsFor: 'view' stamp: 'zk 4/19/2013 21:09'!
listDisplay 
	^OrderedCollection new
		add: 'Poznamky' -> #poznamky;
		add: 'Interni poznamky' -> #poznamkyInterni;
		add: 'Zalozil' -> #author;
		add: 'Vytvoreno' -> #created;
		add: 'Editovano' -> #modified;
		yourself.! !

!Porucha methodsFor: 'accessing' stamp: 'zk 4/13/2013 01:15'!
identifier 
	^typPoruchy! !

!Porucha methodsFor: 'initialization' stamp: 'zk 4/19/2013 21:30'!
initialize 
	super initialize.
	self editable: true.! !

!Porucha methodsFor: 'accessing' stamp: 'zk 3/27/2013 01:50'!
typPoruchy
	^typPoruchy! !

!Porucha methodsFor: 'accessing' stamp: 'zk 3/27/2013 01:50'!
typPoruchy: aString
	typPoruchy := aString! !

DacimatModel subclass: #Predmet
	instanceVariableNames: 'typPredmetu'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

!Predmet class methodsFor: 'descriptors' stamp: 'zk 5/1/2013 15:59'!
descriptionTypPredmetu
^ MAStringDescription new
accessor: #typPredmetu;
label: 'Typ predmetu';
priority: 10;
beRequired;
yourself ! !

!Predmet class methodsFor: 'view' stamp: 'zk 4/19/2013 21:03'!
listDisplay 
	^OrderedCollection new
		add: 'Poznamky' -> #poznamky;
		add: 'Interni poznamky' -> #poznamkyInterni;
		add: 'Zalozil' -> #author;
		add: 'Vytvoreno' -> #created;
		add: 'Editovano' -> #modified;
		yourself.
	! !

!Predmet methodsFor: 'accessing' stamp: 'zk 4/11/2013 17:10'!
identifier 
	^ typPredmetu! !

!Predmet methodsFor: 'initialization' stamp: 'zk 4/16/2013 13:54'!
initialize 
	super initialize .
	self title: 'Typ predmetu'.
	self editable: true.
	! !

!Predmet methodsFor: 'initialization' stamp: 'zk 4/6/2013 14:01'!
setIdentifier
	self identifier: self typPredmetu! !

!Predmet methodsFor: 'accessing' stamp: 'zk 4/3/2013 18:04'!
title
	^title! !

!Predmet methodsFor: 'accessing' stamp: 'zk 4/3/2013 18:09'!
title: aString
	title := aString! !

!Predmet methodsFor: 'accessing' stamp: 'zk 3/27/2013 02:11'!
typPredmetu
	^typPredmetu! !

!Predmet methodsFor: 'accessing' stamp: 'zk 3/27/2013 02:11'!
typPredmetu: aString
	typPredmetu := aString! !

DacimatModel subclass: #Reakce
	instanceVariableNames: 'typReakce'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

!Reakce class methodsFor: 'descriptors' stamp: 'zk 5/1/2013 16:02'!
descriptionTypReakce
^ MAStringDescription new
accessor: #typReakce;
label: 'Typ reakce';
priority: 10;
beRequired;
yourself ! !

!Reakce class methodsFor: 'view' stamp: 'zk 5/4/2013 02:00'!
listDisplay 
	^OrderedCollection new
		add: 'Poznamky' -> #poznamky;
		add: 'Interni poznamky' -> #poznamkyInterni;
		add: 'Zalozil' -> #author;
		add: 'Vytvoreno' -> #created;
		add: 'Editovano' -> #modified;
		yourself.! !

!Reakce methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:59'!
identifier 
	^typReakce! !

!Reakce methodsFor: 'initialization' stamp: 'zk 5/4/2013 01:28'!
initialize 
	super initialize.
	self editable: true.
	! !

!Reakce methodsFor: 'accessing' stamp: 'zk 3/27/2013 01:48'!
typReakce
	^typReakce! !

!Reakce methodsFor: 'accessing' stamp: 'zk 3/27/2013 01:48'!
typReakce: aString
	typReakce := aString! !

DacimatModel subclass: #RocniObdobi
	instanceVariableNames: 'stupenRocniObdobi poradi'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

!RocniObdobi class methodsFor: 'view' stamp: 'zk 5/5/2013 22:07'!
asString 
	^'Rocni obdobi'! !

!RocniObdobi class methodsFor: 'descriptors' stamp: 'zk 3/27/2013 01:31'!
descriptionPoradi
^ MANumberDescription new
accessor: #poradi;
label: 'Poradi';
beRequired;
min: 0 ;
max: 4;
yourself! !

!RocniObdobi class methodsFor: 'descriptors' stamp: 'zk 3/27/2013 01:20'!
descriptionStupenRocniObdobi
^ MAStringDescription new
accessor: #stupenRocniObdobi;
label: 'Rocni obdobi';
beRequired;
yourself ! !

!RocniObdobi class methodsFor: 'view' stamp: 'zk 5/4/2013 02:00'!
listDisplay 
	^OrderedCollection new
		add: 'Poznamky' -> #poznamky;
		add: 'Interni poznamky' -> #poznamkyInterni;
		add: 'Zalozil' -> #author;
		add: 'Vytvoreno' -> #created;
		add: 'Editovano' -> #modified;
		yourself.! !

!RocniObdobi methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:57'!
identifier 
	^ (poradi asString, ' - ', stupenRocniObdobi asString)! !

!RocniObdobi methodsFor: 'initialization' stamp: 'zk 5/4/2013 01:29'!
initialize 
	super initialize.
	self editable: true.! !

!RocniObdobi methodsFor: 'accessing' stamp: 'zk 3/27/2013 01:17'!
poradi
	^poradi! !

!RocniObdobi methodsFor: 'accessing' stamp: 'zk 3/27/2013 01:18'!
poradi: aNumber
	poradi := aNumber! !

!RocniObdobi methodsFor: 'accessing' stamp: 'zk 3/27/2013 01:16'!
stupenRocniObdobi
	^stupenRocniObdobi! !

!RocniObdobi methodsFor: 'accessing' stamp: 'zk 3/27/2013 01:17'!
stupenRocniObdobi: aString
	stupenRocniObdobi := aString! !

DacimatModel subclass: #Stav
	instanceVariableNames: 'stupenStavu poradi'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

!Stav class methodsFor: 'descriptors' stamp: 'zk 5/1/2013 16:02'!
descriptionPoradi
^ MANumberDescription new
accessor: #poradi;
label: 'Poradi';
priority: 20;
beRequired;
bePositive;
yourself! !

!Stav class methodsFor: 'descriptors' stamp: 'zk 5/1/2013 16:02'!
descriptionStupenStavu
^ MAStringDescription new
accessor: #stupenStavu;
label: 'Stupen stavu';
priority: 10;
beRequired;
yourself ! !

!Stav class methodsFor: 'view' stamp: 'zk 4/19/2013 21:09'!
listDisplay 
	^OrderedCollection new
		add: 'Poznamky' -> #poznamky;
		add: 'Interni poznamky' -> #poznamkyInterni;
		add: 'Zalozil' -> #author;
		add: 'Vytvoreno' -> #created;
		add: 'Editovano' -> #modified;
		yourself.! !

!Stav methodsFor: 'as yet unclassified' stamp: 'zk 4/11/2013 22:09'!
identifier 
	^ (poradi asString, ' - ', stupenStavu asString)! !

!Stav methodsFor: 'initialization' stamp: 'zk 4/19/2013 21:11'!
initialize 
	super initialize.
	self title: 'Stupen stavu'.
	self editable: true.
	
! !

!Stav methodsFor: 'accessing' stamp: 'zk 3/27/2013 02:13'!
poradi
	^poradi! !

!Stav methodsFor: 'accessing' stamp: 'zk 3/27/2013 02:13'!
poradi: aNumber
	poradi := aNumber! !

!Stav methodsFor: 'initialization' stamp: 'zk 4/6/2013 14:06'!
setIdentifier 
	self identifier: self poradi asString, ' - ', self stupenStavu.! !

!Stav methodsFor: 'accessing' stamp: 'zk 3/27/2013 02:13'!
stupenStavu
	^stupenStavu! !

!Stav methodsFor: 'accessing' stamp: 'zk 3/27/2013 02:13'!
stupenStavu: aString
	stupenStavu := aString! !

!Stav methodsFor: 'accessing' stamp: 'zk 4/4/2013 16:36'!
title
	^title! !

!Stav methodsFor: 'accessing' stamp: 'zk 4/4/2013 16:37'!
title: aString
	title := aString! !

DacimatModel subclass: #TrvaniZaplaveni
	instanceVariableNames: 'stupenTrvaniZaplaveni poradi'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

!TrvaniZaplaveni class methodsFor: 'view' stamp: 'zk 5/5/2013 22:09'!
asString 
	^'Trvani zaplavenii'! !

!TrvaniZaplaveni class methodsFor: 'descriptors' stamp: 'zk 3/27/2013 02:21'!
descriptionPoradi
^ MANumberDescription new
accessor: #poradi;
label: 'Poradi';
beRequired;
bePositive;
yourself! !

!TrvaniZaplaveni class methodsFor: 'descriptors' stamp: 'zk 3/27/2013 02:23'!
descriptionStupenTrvaniZaplaveni
^ MAStringDescription new
accessor: #stupenTrvaniZaplaveni;
label: 'Stupen trvani zaplaveni';
beRequired;
yourself ! !

!TrvaniZaplaveni class methodsFor: 'view' stamp: 'zk 5/4/2013 01:59'!
listDisplay 
	^OrderedCollection new
		add: 'Poznamky' -> #poznamky;
		add: 'Interni poznamky' -> #poznamkyInterni;
		add: 'Zalozil' -> #author;
		add: 'Vytvoreno' -> #created;
		add: 'Editovano' -> #modified;
		yourself.! !

!TrvaniZaplaveni methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:56'!
identifier 
	^ (poradi asString, ' - ', stupenTrvaniZaplaveni asString)! !

!TrvaniZaplaveni methodsFor: 'initialization' stamp: 'zk 5/4/2013 01:29'!
initialize 
	super initialize.
	self editable: true.! !

!TrvaniZaplaveni methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:35'!
poradi
	^poradi! !

!TrvaniZaplaveni methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:35'!
poradi: aNumber
	poradi := aNumber! !

!TrvaniZaplaveni methodsFor: 'accessing' stamp: 'zk 3/27/2013 02:22'!
stupenTrvaniZaplaveni
	^stupenTrvaniZaplaveni! !

!TrvaniZaplaveni methodsFor: 'accessing' stamp: 'zk 3/27/2013 02:22'!
stupenTrvaniZaplaveni: aString
	stupenTrvaniZaplaveni := aString! !

DacimatModel subclass: #ZakladovaPuda
	instanceVariableNames: 'typZakladovePudy'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

!ZakladovaPuda class methodsFor: 'view' stamp: 'zk 5/5/2013 22:08'!
asString 
	^'Zakladova puda'! !

!ZakladovaPuda class methodsFor: 'descriptors' stamp: 'zk 5/4/2013 01:45'!
descriptionTypZakladovePudy
^ MAStringDescription new
accessor: #typZakladovePudy;
label: 'Typ zakladove pudy';
priority: 10;
beRequired;
yourself ! !

!ZakladovaPuda class methodsFor: 'view' stamp: 'zk 5/4/2013 01:38'!
listDisplay 
	^OrderedCollection new
		add: 'Poznamky' -> #poznamky;
		add: 'Interni poznamky' -> #poznamkyInterni;
		add: 'Zalozil' -> #author;
		add: 'Vytvoreno' -> #created;
		add: 'Editovano' -> #modified;
		yourself.! !

!ZakladovaPuda methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:47'!
asString 
	^ 'Zakladova puda'! !

!ZakladovaPuda methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:37'!
identifier 
	^typZakladovePudy! !

!ZakladovaPuda methodsFor: 'initialization' stamp: 'zk 5/4/2013 01:29'!
initialize 
	super initialize.
	self editable: true.! !

!ZakladovaPuda methodsFor: 'accessing' stamp: 'zk 5/4/2013 01:55'!
printString 
	^ 'Zakladova puda'! !

!ZakladovaPuda methodsFor: 'accessing' stamp: 'zk 3/27/2013 01:32'!
typZakladovePudy
	^typZakladovePudy! !

!ZakladovaPuda methodsFor: 'accessing' stamp: 'zk 3/27/2013 01:33'!
typZakladovePudy: aString
	typZakladovePudy := aString! !

ModelRoot subclass: #DacimatTreeModel
	instanceVariableNames: 'poznamky poznamkyInterni parent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

!DacimatTreeModel class methodsFor: 'descriptors' stamp: 'zk 3/30/2013 22:54'!
descriptionPoznamky
^ MAMemoDescription new
accessor: #poznamky;
label: 'poznamky';
yourself ! !

!DacimatTreeModel class methodsFor: 'descriptors' stamp: 'zk 3/30/2013 22:54'!
descriptionPoznamkyInterni
^ MAMemoDescription new
accessor: #poznamkyInterni;
label: 'Interni poznamky';
yourself ! !

!DacimatTreeModel methodsFor: 'accessing' stamp: 'zk 5/5/2013 01:19'!
parent
	^parent! !

!DacimatTreeModel methodsFor: 'accessing' stamp: 'zk 5/5/2013 01:19'!
parent: aDacimatTreeModel
	parent := aDacimatTreeModel! !

!DacimatTreeModel methodsFor: 'accessing' stamp: 'zk 3/30/2013 22:37'!
poznamky
	^poznamky! !

!DacimatTreeModel methodsFor: 'accessing' stamp: 'zk 3/30/2013 22:37'!
poznamky: aString
	poznamky := aString! !

!DacimatTreeModel methodsFor: 'accessing' stamp: 'zk 3/30/2013 22:37'!
poznamkyInterni
	^poznamkyInterni! !

!DacimatTreeModel methodsFor: 'accessing' stamp: 'zk 3/30/2013 22:37'!
poznamkyInterni: aString
	poznamkyInterni := aString! !

DacimatTreeModel subclass: #Konstrukce
	instanceVariableNames: 'typKonstrukce vaha'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

!Konstrukce class methodsFor: 'descriptors' stamp: 'zk 3/27/2013 02:06'!
descriptionTypKonstrukce
^ MAStringDescription new
accessor: #typKonstrukce;
label: 'Typ konstrukce';
beRequired;
yourself ! !

!Konstrukce class methodsFor: 'descriptors' stamp: 'zk 3/27/2013 02:08'!
descriptionVaha
^ MANumberDescription new
accessor: #vaha;
label: 'Vaha';
beRequired;
yourself! !

!Konstrukce methodsFor: 'accessing' stamp: 'zk 5/5/2013 01:18'!
parent: aKonstrukce
	parent := aKonstrukce! !

!Konstrukce methodsFor: 'accessing' stamp: 'zk 3/27/2013 02:03'!
typKonstrukce
	^typKonstrukce! !

!Konstrukce methodsFor: 'accessing' stamp: 'zk 3/27/2013 02:04'!
typKonstrukce: aString
	typKonstrukce := aString! !

!Konstrukce methodsFor: 'accessing' stamp: 'zk 3/27/2013 02:04'!
vaha
	^vaha! !

!Konstrukce methodsFor: 'accessing' stamp: 'zk 3/27/2013 02:04'!
vaha: aNumber
	vaha := aNumber! !

DacimatTreeModel subclass: #Material
	instanceVariableNames: 'typMaterialu'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyModel'!

!Material class methodsFor: 'descriptors' stamp: 'zk 3/27/2013 00:38'!
descriptionTypMaterialu
^ MAStringDescription new
accessor: #typMaterialu;
label: 'Typ materialu';
beRequired;
yourself ! !

!Material methodsFor: 'accessing' stamp: 'zk 5/5/2013 01:20'!
parent: aMaterial
	parent := aMaterial! !

!Material methodsFor: 'accessing' stamp: 'zk 3/26/2013 23:04'!
typMaterialu
	^typMaterialu! !

!Material methodsFor: 'accessing' stamp: 'zk 3/26/2013 23:05'!
typMaterialu: aString
	typMaterialu := aString! !

!ModelRoot methodsFor: 'accessing' stamp: 'zk 4/12/2013 16:51'!
author
	^author! !

!ModelRoot methodsFor: 'actions' stamp: 'zk 4/12/2013 17:19'!
createTimeNow
	created := DateAndTime now.
	
	! !

!ModelRoot methodsFor: 'accessing' stamp: 'zk 4/19/2013 21:04'!
created
	^ self formattedDate: created! !

!ModelRoot methodsFor: 'accessing' stamp: 'zk 4/16/2013 00:02'!
editable
	self subclassResponsibility ! !

!ModelRoot methodsFor: 'actions' stamp: 'zk 5/15/2013 23:30'!
formattedDate: aDate
"formatuje prijate datum na zvoleny vystup"
 
aDate ifNotNil: [
	^ (aDate dayOfMonth asString, '/', aDate month asString, '/', aDate year asString, ' ', aDate hour24 asString, ':', aDate minute 	asString, ':', 	aDate second asString)].

 ^nil! !

!ModelRoot methodsFor: 'accessing' stamp: 'zk 4/6/2013 12:14'!
identifier
	^identifier! !

!ModelRoot methodsFor: 'accessing' stamp: 'zk 4/6/2013 12:15'!
identifier: aString
	identifier := aString! !

!ModelRoot methodsFor: 'initialization' stamp: 'zk 4/12/2013 20:17'!
initialize 
	author := 'admin'.
	created := DateAndTime now. 
	modified := nil.! !

!ModelRoot methodsFor: 'accessing' stamp: 'zk 4/19/2013 21:05'!
modified 
	^ self formattedDate: modified ! !

!ModelRoot methodsFor: 'actions' stamp: 'zk 4/12/2013 17:20'!
modifyTimeNow
	modified := DateAndTime now.! !
